For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
BlogLog InRequest Demo
HomeProductDevelopersSelf-HostingChangelog
HomeProductDevelopersSelf-HostingChangelog
  • Getting Started
    • Overview
  • Workflows SDK
    • Introduction
    • Installation
    • Core Concepts
    • Defining Control Flow
    • Configuration
    • Custom Docker Images
  • Client SDK
    • Introduction
    • Authentication
    • API Versioning
      • POSTSearch
      • POSTAdd Document
      • POSTCreate Document Index
      • GETRetrieve Document Index
      • GETList Document Indexes
      • PATCHUpdate Document Index
      • PUTReplace Document Index
      • DELDestroy
      • DELRemove Document
LogoLogo
BlogLog InRequest Demo
Client SDKDocument Indexes

Retrieve Document Index

Beta
GET
https://api.vellum.ai/v1/document-indexes/:id
GET
/v1/document-indexes/:id
1import requests
2
3url = "https://api.vellum.ai/v1/document-indexes/id"
4
5headers = {"X-API-KEY": "<apiKey>"}
6
7response = requests.get(url, headers=headers)
8
9print(response.json())
200Retrieved
1{
2 "id": "string",
3 "created": "2024-01-15T09:30:00Z",
4 "label": "string",
5 "name": "string",
6 "indexing_config": {
7 "vectorizer": {
8 "config": {
9 "add_openai_api_key": true
10 },
11 "model_name": "text-embedding-3-small"
12 },
13 "chunking": {
14 "chunker_name": "reducto-chunker",
15 "chunker_config": {
16 "character_limit": 1000
17 }
18 }
19 },
20 "status": "ACTIVE"
21}
Used to retrieve a Document Index given its ID or name.
Was this page helpful?
Previous

List Document Indexes

Next
Built with

Authentication

X-API-KEYstring
API Key authentication via header

Path parameters

idstringRequired
Either the Document Index's ID or its unique name

Headers

X-API-VersionstringOptional

Query parameters

mask_indexing_configbooleanOptional
Whether to mask the indexing configuration in the response

Response

idstringformat: "uuid"
createdstringformat: "date-time"
labelstring<=150 characters

A human-readable label for the document index

namestring<=150 characters
A name that uniquely identifies this index within its workspace
indexing_configobject
statusenum

The current status of the document index

  • ACTIVE - Active
  • ARCHIVED - Archived
  • PENDING_DELETION - Pending Deletion
Allowed values: